API ReferenceapiclinicalPOST /v1/bloodwork/upload

POST /v1/bloodwork/upload

Service: clinical · operationId: (none)

Upload a lab PDF or structured bloodwork data

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "patient_id": {
      "type": "string",
      "minLength": 1
    },
    "brand_id": {
      "type": "string",
      "minLength": 1
    },
    "clinician_id": {
      "type": "string"
    },
    "file_name": {
      "type": "string"
    },
    "content_type": {
      "type": "string",
      "enum": [
        "application/pdf",
        "application/json"
      ]
    },
    "source": {
      "type": "string",
      "minLength": 1
    },
    "file_base64": {
      "type": "string",
      "minLength": 1
    },
    "structured_data": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "patient_id",
    "brand_id",
    "content_type",
    "source",
    "file_base64"
  ]
}

Responses

201 Bloodwork uploaded successfully

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "patient_id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "file_name": {
      "type": [
        "string",
        "null"
      ]
    },
    "content_type": {
      "type": "string"
    },
    "source": {
      "type": "string"
    },
    "status": {
      "type": "string"
    },
    "uploaded_at": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "id",
    "patient_id",
    "brand_id",
    "file_name",
    "content_type",
    "source",
    "status",
    "uploaded_at"
  ]
}

400 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://clinical.platform.loop.health/v1/bloodwork/upload \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'